Name:           myliveusb
Version:        0.9.9
Release:        %mkrel 2
Summary:        Create a live UPLOS install on removable media.
Summary(de):    Erstellen einer Live-Installation auf Wechselmedien
Source:         MyLiveUSB.zip
Group:          System/Base
License:        GPLv2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       p7zip
Requires:       bash
Requires:       zenity
Requires:		util-linux-ng
Requires:		grub
Obsoletes:		PCLinuxOS-liveusb
Provides:		UPLOS-liveusb = %version-%release

%description
MyLiveUsb allows you to place not only the first, or primary Operating System,
on your selected partition, but also to add further Operating Systems as space allows. 

You can then choose at boot time which version of UPLOS you would like 
to boot. It can of course also be used to put your own remaster of UPLOS on 
a removable drive.

%description -l de
Diese Anwendung automatisiert das Erstellen einer Live-Installation eines 
Betriebssystems auf Wechselmedien, wie einem USB-Stick oder Festplatte. 
Es ist speziell für die Verwendung mit Betriebssystemdateien von UPLOS 
konzipiert.

Es erlaubt Ihnen, nicht nur das erste primäre Betriebssystem auf Ihrer 
ausgewählten Partition zu erstellen, sondern auch noch weitere 
Betriebssysteme hinzufügen, wenn dies die Kapazität erlaubt. Sie können 
dann, beim Booten auswählen, welche Version von UPLOS gestartet werden 
soll.

%prep
%setup -qnMyLiveUSB
for i in $(find . -type f ); do sed -i 's/pclinuxos/uplos/g' "$i";done
for i in $(find . -type f ); do sed -i 's/PCLinuxOS/UPLOS/g' "$i";done
for i in $(find . -type f ); do sed -i 's/PCLOS/UPLOS/g' "$i";done
%build

%install 
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 755 myliveusb %{buildroot}/%{_bindir}/myliveusb

mkdir -p %{buildroot}/%{_datadir}/live-usb-creator
install -m 0644 MyLiveUSB.pdf %{buildroot}/%{_datadir}/live-usb-creator/MyLiveUSB.pdf

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 myliveusb.desktop %{buildroot}%{_datadir}/applications/myliveusb.desktop

mkdir -p %{buildroot}%{_datadir}/icons
install -m 0644 myliveusb.png %{buildroot}%{_datadir}/icons/myliveusb.png

%clean
%__rm -rf %buildroot


%files          
%{_bindir}/myliveusb
%{_datadir}/live-usb-creator/MyLiveUSB.pdf
%{_datadir}/applications/myliveusb.desktop
%{_datadir}/icons/myliveusb.png

%changelog
* Thu Feb 02 2017 adrianomorselli <adrianomorselli> 0.9.9-2uplos2017
- rebuild for uplos removed pclos reference
* Thu Jul 28 2016 bb <bb> 0.9.9-2pclos2016
- update from just16

* Sun Jul 17 2016 bb <bb> 0.9.9-1pclos2016
- update

